### Class

# Malcontent Manager

since: 0.3.0

#### Description [src]

    final class Malcontent.Manager : GObject.Object
    {
      /* No available fields */
    }

A top-level policy management object which is used to query, set and monitor parental controls policy for different users.

Available since: 0.3.0

#### Ancestors

- GObject

#### Constructors

###### mct_manager_new

Create a new `MctManager`.

since: 0.3.0

#### Instance methods

###### mct_manager_get_app_filter

Synchronous version of `mct_manager_get_app_filter_async()`.

since: 0.3.0

###### mct_manager_get_app_filter_async

Asynchronously get a snapshot of the app filter settings for the given `user_id`.

since: 0.3.0

###### mct_manager_get_app_filter_finish

Finish an asynchronous operation to get the app filter for a user, started with `mct_manager_get_app_filter_async()`.

since: 0.3.0

###### mct_manager_get_session_limits

Synchronous version of `mct_manager_get_session_limits_async()`.

since: 0.5.0

###### mct_manager_get_session_limits_async

Asynchronously get a snapshot of the session limit settings for the given `user_id`.

since: 0.5.0

###### mct_manager_get_session_limits_finish

Finish an asynchronous operation to get the session limits for a user, started with `mct_manager_get_session_limits_async()`.

since: 0.5.0

###### mct_manager_get_web_filter

Synchronous version of `mct_manager_get_web_filter_async()`.

since: 0.14.0

###### mct_manager_get_web_filter_async

Asynchronously get a snapshot of the web filter settings for the given `user_id`.

since: 0.14.0

###### mct_manager_get_web_filter_finish

Finish an asynchronous operation to get the web filter for a user, started with `mct_manager_get_web_filter_async()`.

since: 0.14.0

###### mct_manager_set_app_filter

Synchronous version of `mct_manager_set_app_filter_async()`.

since: 0.3.0

###### mct_manager_set_app_filter_async

Asynchronously set the app filter settings for the given `user_id` to the given `app_filter` instance.

since: 0.3.0

###### mct_manager_set_app_filter_finish

Finish an asynchronous operation to set the app filter for a user, started with `mct_manager_set_app_filter_async()`.

since: 0.3.0

###### mct_manager_set_session_limits

Synchronous version of `mct_manager_set_session_limits_async()`.

since: 0.5.0

###### mct_manager_set_session_limits_async

Asynchronously set the session limits settings for the given `user_id` to the given `session_limits` instance.

since: 0.5.0

###### mct_manager_set_session_limits_finish

Finish an asynchronous operation to set the session limits for a user, started with `mct_manager_set_session_limits_async()`.

since: 0.5.0

###### mct_manager_set_web_filter

Synchronous version of `mct_manager_set_web_filter_async()`.

since: 0.14.0

###### mct_manager_set_web_filter_async

Asynchronously set the web filter settings for the given `user_id` to the given `web_filter` instance.

since: 0.14.0

###### mct_manager_set_web_filter_finish

Finish an asynchronous operation to set the web filter for a user, started with `mct_manager_set_web_filter_async()`.

since: 0.14.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Malcontent.Manager:connection

A connection to the system bus, where accounts-service runs.

since: 0.3.0

#### Signals

###### Malcontent.Manager::app-filter-changed

Emitted when the app filter stored for a user changes.

since: 0.3.0

###### Malcontent.Manager::session-limits-changed

Emitted when the session limits stored for a user change.

since: 0.14.0

###### Malcontent.Manager::web-filter-changed

Emitted when the web filter stored for a user changes.

since: 0.14.0

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MalcontentManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.